目录

安装 docker 出现 ERROR: Unsupported distribution 'ol' 问题

目录

安装 docker 出现 ERROR: Unsupported distribution ‘ol’ 问题

部署docker 安装出现 ERROR: Unsupported distribution ‘ol’

  1. 确认是不是arm架构
1
uname -r
  1. 确认使用的是不是oracle服务器系统,如果是请继续操作,安装依赖:
1
2
dnf install -y dnf-utils zip unzip
dnf config-manager --add-repo=https://download.docker.com/linux/centos/docker-ce.repo
  1. 安装docker
1
2
dnf remove -y runc
dnf install -y docker-ce --nobest
  1. 完成docker 安装并检查
1
2
systemctl enable docker.service
systemctl start docker.service
1
2
3
4
#检查
systemctl status docker.service
docker info 
docker version

结尾

该问题主要是oracle没有支持依赖导致的~oracle还是很不错的~